Package org.apache.groovy.contracts.common.base

# Class BaseLifecycle

java.lang.Object
org.apache.groovy.contracts.common.base.BaseLifecycle

All Implemented Interfaces:
  `Lifecycle`

Direct Known Subclasses:
  `ClassInvariantLifecycle`, `PostconditionLifecycle`, `PreconditionLifecycle`

public abstract class BaseLifecycle extends Object implements Lifecycle
Base implementation class for interface `Lifecycle`. This class is supposed tp be extended by `Lifecycle` implementation classes and provides empty method bodies for all interface methods.

See Also:
  - `Lifecycle`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseLifecycle()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)`
  No-op default hook invoked after class-level contract processing completes.
  `void`
  `afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)`
  No-op default hook invoked after a constructor is processed.
  `void`
  `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)`
  No-op default hook invoked after a method is processed.
  `void`
  `beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)`
  No-op default hook invoked before class-level contract processing begins.
  `void`
  `beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)`
  No-op default hook invoked before a constructor is processed.
  `void`
  `beforeProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)`
  No-op default hook invoked before a method is processed.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseLifecycle

    public BaseLifecycle()

- ## Method Details

  - ### beforeProcessingClassNode

    public void beforeProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)
    No-op default hook invoked before class-level contract processing begins.
    Specified by:
      `beforeProcessingClassNode` in interface `Lifecycle`
    Parameters:
      `processingContextInformation` - the shared processing context
      `classNode` - the class about to be processed

  - ### afterProcessingClassNode

    public void afterProcessingClassNode(ProcessingContextInformation processingContextInformation, ClassNode classNode)
    No-op default hook invoked after class-level contract processing completes.
    Specified by:
      `afterProcessingClassNode` in interface `Lifecycle`
    Parameters:
      `processingContextInformation` - the shared processing context
      `classNode` - the class that was processed

  - ### beforeProcessingMethodNode

    public void beforeProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)
    No-op default hook invoked before a method is processed.
    Specified by:
      `beforeProcessingMethodNode` in interface `Lifecycle`
    Parameters:
      `processingContextInformation` - the shared processing context
      `classNode` - the declaring class
      `methodNode` - the method about to be processed

  - ### afterProcessingMethodNode

    public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)
    No-op default hook invoked after a method is processed.
    Specified by:
      `afterProcessingMethodNode` in interface `Lifecycle`
    Parameters:
      `processingContextInformation` - the shared processing context
      `classNode` - the declaring class
      `methodNode` - the processed method

  - ### beforeProcessingConstructorNode

    public void beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)
    No-op default hook invoked before a constructor is processed.
    Specified by:
      `beforeProcessingConstructorNode` in interface `Lifecycle`
    Parameters:
      `processingContextInformation` - the shared processing context
      `classNode` - the declaring class
      `constructorNode` - the constructor about to be processed

  - ### afterProcessingConstructorNode

    public void afterProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)
    No-op default hook invoked after a constructor is processed.
    Specified by:
      `afterProcessingConstructorNode` in interface `Lifecycle`
    Parameters:
      `processingContextInformation` - the shared processing context
      `classNode` - the declaring class
      `constructorNode` - the processed constructor